import { TYPES } from '../../constants.mjs';
import { Buffer } from '../geometry/Buffer.mjs';
import { Geometry } from '../geometry/Geometry.mjs';

class BatchGeometry extends Geometry {
  /**
   * @param {boolean} [_static=false] - Optimization flag, where `false`
   *        is updated every frame, `true` doesn't change frame-to-frame.
   */
  constructor(_static = false) {
    super();
    this._buffer = new Buffer(null, _static, false);
    this._indexBuffer = new Buffer(null, _static, true);
    this.addAttribute("aVertexPosition", this._buffer, 2, false, TYPES.FLOAT).addAttribute("aTextureCoord", this._buffer, 2, false, TYPES.FLOAT).addAttribute("aColor", this._buffer, 4, true, TYPES.UNSIGNED_BYTE).addAttribute("aTextureId", this._buffer, 1, false, TYPES.FLOAT).addIndex(this._indexBuffer);
  }
}

export { BatchGeometry };
//# sourceMappingURL=BatchGeometry.mjs.map
