'use strict';

require('../../core/settings.js');
require('../../color.js');
require('../../constants.js');
require('../../extensions.js');
var _const = require('../../math/const.js');
require('../../math/groupD8.js');
require('../../math/Transform.js');
require('../../runner.js');
require('../../ticker/settings.js');
require('../../ticker/const.js');
require('../../ticker/Ticker.js');
require('../../ticker/TickerPlugin.js');
require('../../utils/settings.js');
require('../../utils/is_mobile/index.js');
require('../../utils/color/premultiply.js');
require('../../utils/media/BoundingBox.js');
require('../../core/autoDetectRenderer.js');
require('../../core/background/BackgroundSystem.js');
require('../../core/batch/BatchRenderer.js');
require('../../core/shader/Program.js');
require('../../core/batch/BatchSystem.js');
require('../../core/context/ContextSystem.js');
require('../../core/filters/Filter.js');
require('../../core/filters/FilterSystem.js');
require('../../core/textures/BaseTexture.js');
require('../../core/framebuffer/FramebufferSystem.js');
require('../../core/framebuffer/MultisampleSystem.js');
require('../../core/geometry/BufferSystem.js');
require('../../core/geometry/GeometrySystem.js');
require('../../core/mask/MaskSystem.js');
require('../../core/mask/ScissorSystem.js');
require('../../core/mask/StencilSystem.js');
require('../../core/plugin/PluginSystem.js');
require('../../core/projection/ProjectionSystem.js');
require('../../core/render/ObjectRendererSystem.js');
require('../../core/Renderer.js');
require('../../core/renderTexture/GenerateTextureSystem.js');
require('../../core/renderTexture/RenderTexturePool.js');
require('../../core/renderTexture/RenderTextureSystem.js');
require('../../core/shader/ShaderSystem.js');
require('../../core/startup/StartupSystem.js');
require('../../core/state/StateSystem.js');
require('../../core/textures/TextureGCSystem.js');
require('../../core/textures/TextureSystem.js');
require('../../core/transformFeedback/TransformFeedbackSystem.js');
require('../../core/view/ViewSystem.js');
require('../../core/textures/resources/index.js');
var buildCircle = require('./buildCircle.js');
var buildPoly = require('./buildPoly.js');
var buildRectangle = require('./buildRectangle.js');
var buildRoundedRectangle = require('./buildRoundedRectangle.js');
require('../const.js');

const FILL_COMMANDS = {
  [_const.SHAPES.POLY]: buildPoly.buildPoly,
  [_const.SHAPES.CIRC]: buildCircle.buildCircle,
  [_const.SHAPES.ELIP]: buildCircle.buildCircle,
  [_const.SHAPES.RECT]: buildRectangle.buildRectangle,
  [_const.SHAPES.RREC]: buildRoundedRectangle.buildRoundedRectangle
};
const BATCH_POOL = [];
const DRAW_CALL_POOL = [];

exports.buildCircle = buildCircle.buildCircle;
exports.buildPoly = buildPoly.buildPoly;
exports.buildRectangle = buildRectangle.buildRectangle;
exports.buildRoundedRectangle = buildRoundedRectangle.buildRoundedRectangle;
exports.BATCH_POOL = BATCH_POOL;
exports.DRAW_CALL_POOL = DRAW_CALL_POOL;
exports.FILL_COMMANDS = FILL_COMMANDS;
//# sourceMappingURL=index.js.map
