import { settings } from '../settings/settings.mjs';
import '../utils/settings.mjs';
import '../utils/is_mobile/index.mjs';
import '../constants.mjs';
import { deprecation } from '../utils/logging/deprecation.mjs';
import '../color.mjs';
import '../utils/color/premultiply.mjs';
import '../utils/media/BoundingBox.mjs';
import { Ticker } from './Ticker.mjs';

Object.defineProperties(settings, {
  /**
   * Target frames per millisecond.
   * @static
   * @name TARGET_FPMS
   * @memberof PIXI.settings
   * @type {number}
   * @deprecated since 7.1.0
   * @see PIXI.Ticker.targetFPMS
   */
  TARGET_FPMS: {
    get() {
      return Ticker.targetFPMS;
    },
    set(value) {
      deprecation("7.1.0", "settings.TARGET_FPMS is deprecated, use Ticker.targetFPMS");
      Ticker.targetFPMS = value;
    }
  }
});

export { settings };
//# sourceMappingURL=settings.mjs.map
