/**
 * https://github.com/kaimallea/isMobile
 * MIT License
 */
export type UserAgent = string;
export type Navigator = {
    userAgent: string;
    platform: string;
    maxTouchPoints?: number;
};
export type isMobileResult = {
    apple: {
        phone: boolean;
        ipod: boolean;
        tablet: boolean;
        universal: boolean;
        device: boolean;
    };
    amazon: {
        phone: boolean;
        tablet: boolean;
        device: boolean;
    };
    android: {
        phone: boolean;
        tablet: boolean;
        device: boolean;
    };
    windows: {
        phone: boolean;
        tablet: boolean;
        device: boolean;
    };
    other: {
        blackberry: boolean;
        blackberry10: boolean;
        opera: boolean;
        firefox: boolean;
        chrome: boolean;
        device: boolean;
    };
    phone: boolean;
    tablet: boolean;
    any: boolean;
};
export type IsMobileParameter = UserAgent | Navigator;
export declare function isMobileLib(param?: IsMobileParameter): isMobileResult;
